- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Recurrence QML Type

The Recurrence element contains a list of rules and dates on which the recurrent item occurs, and a list of rules and dates on which exceptions occur. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- exceptionDates : list<date>
- exceptionRules : list<RecurrenceRule>
- recurrenceDates : list<date>
- recurrenceRules : list<RecurrenceRule>

## Signals

- onDetailChanged()

## Methods

- bool setValue(field, value)
- variant value(field)

## Detailed Description

The following fields are supported:

- Recurrence.FieldRecurrenceRules
- Recurrence.FieldExceptionRules
- Recurrence.FieldRecurrenceDates
- Recurrence.FieldExceptionDates

## Property Documentation

exceptionDates : list<date>

This property holds the list of exception dates.

exceptionRules : list<RecurrenceRule>

This property holds the list of exception rules.

See also RecurrenceRule.

recurrenceDates : list<date>

This property holds the list of recurrence dates.

recurrenceRules : list<RecurrenceRule>

This property holds the list of recurrence rules.

See also RecurrenceRule.

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.

## Method Documentation

bool setValue(field, value)

See also value() and Detail::setValue.

variant value(field)

See also setValue() and Detail::value.